Index: /trunk/dports/audio/ezstream/Portfile
===================================================================
--- /trunk/dports/audio/ezstream/Portfile	(revision 97893)
+++ /trunk/dports/audio/ezstream/Portfile	(revision 97894)
@@ -6,5 +6,5 @@
 name                    ezstream
 version                 0.5.6
-revision                2
+revision                3
 categories              audio
 platforms               darwin
Index: /trunk/dports/audio/ncmpcpp/Portfile
===================================================================
--- /trunk/dports/audio/ncmpcpp/Portfile	(revision 97893)
+++ /trunk/dports/audio/ncmpcpp/Portfile	(revision 97894)
@@ -6,5 +6,5 @@
 name                ncmpcpp
 version             0.5.10
-revision            1
+revision            2
 categories          audio
 maintainers         rmstonecipher openmaintainer
Index: /trunk/dports/audio/shell-fm/Portfile
===================================================================
--- /trunk/dports/audio/shell-fm/Portfile	(revision 97893)
+++ /trunk/dports/audio/shell-fm/Portfile	(revision 97894)
@@ -6,5 +6,5 @@
 name                    shell-fm
 version                 0.8
-revision                1
+revision                2
 categories              audio
 platforms               darwin
Index: /trunk/dports/audio/taglib-extras/Portfile
===================================================================
--- /trunk/dports/audio/taglib-extras/Portfile	(revision 97893)
+++ /trunk/dports/audio/taglib-extras/Portfile	(revision 97894)
@@ -7,5 +7,5 @@
 name                taglib-extras
 version             1.0.1
-revision            3
+revision            4
 categories          audio
 license             LGPL-2.1
Index: /trunk/dports/audio/taglib/Portfile
===================================================================
--- /trunk/dports/audio/taglib/Portfile	(revision 97893)
+++ /trunk/dports/audio/taglib/Portfile	(revision 97894)
@@ -6,5 +6,5 @@
 
 name             taglib
-version          1.7.2
+version          1.8
 categories       audio
 license          {LGPL-2 MPL-1.1}
@@ -18,7 +18,7 @@
 homepage         http://developer.kde.org/~wheeler/taglib.html
 platforms        darwin
-master_sites     http://developer.kde.org/~wheeler/files/src/
-checksums           rmd160  13ee35746d46ccc729e1822f9056343a8e5b05b4 \
-                    sha256  38f7e5283b594021b28426a61339cffbf2d503b450338b02f651fab1b0b42899
+master_sites     https://github.com/downloads/${name}/${name}/
+checksums           rmd160  1009fe5b59043ff2096087ea167b358a175e5a92 \
+                    sha256  66d33481703c90236a0a9d1c38fd81b584ca7109ded049225f5463dcaffc209a
 
 depends_lib-append  port:zlib
Index: /trunk/dports/devel/ocaml-taglib/Portfile
===================================================================
--- /trunk/dports/devel/ocaml-taglib/Portfile	(revision 97893)
+++ /trunk/dports/devel/ocaml-taglib/Portfile	(revision 97894)
@@ -6,4 +6,5 @@
 name                ocaml-taglib
 version             0.2.0
+revision            1
 categories          devel ml audio
 license             LGPL-2.1
Index: /trunk/dports/gnome/gst-plugins-good/Portfile
===================================================================
--- /trunk/dports/gnome/gst-plugins-good/Portfile	(revision 97893)
+++ /trunk/dports/gnome/gst-plugins-good/Portfile	(revision 97894)
@@ -9,5 +9,5 @@
 name                gst-plugins-good
 version             0.10.31
-revision            4
+revision            5
 description         \
     A set of good-quality plug-ins for GStreamer under GStreamer's preferred \
Index: /trunk/dports/java/struts/Portfile
===================================================================
--- /trunk/dports/java/struts/Portfile	(revision 97893)
+++ /trunk/dports/java/struts/Portfile	(revision 97894)
@@ -5,5 +5,5 @@
 name           		struts
 version         	1.2.7
-revision            2
+revision            3
 
 categories      	java
Index: /trunk/dports/java/tomcat5/Portfile
===================================================================
--- /trunk/dports/java/tomcat5/Portfile	(revision 97893)
+++ /trunk/dports/java/tomcat5/Portfile	(revision 97894)
@@ -5,5 +5,5 @@
 name            tomcat5
 version         5.5.25
-revision        2
+revision        3
 license         Apache-2
 
Index: /trunk/dports/java/tomcat6/Portfile
===================================================================
--- /trunk/dports/java/tomcat6/Portfile	(revision 97893)
+++ /trunk/dports/java/tomcat6/Portfile	(revision 97894)
@@ -6,4 +6,5 @@
 name            tomcat6
 version         6.0.35
+revision        1
 
 categories      java www
Index: /trunk/dports/kde/amarok-devel/Portfile
===================================================================
--- /trunk/dports/kde/amarok-devel/Portfile	(revision 97893)
+++ /trunk/dports/kde/amarok-devel/Portfile	(revision 97894)
@@ -6,5 +6,5 @@
 name                amarok-devel
 version             git-20090927
-revision            3
+revision            4
 categories          kde kde4
 maintainers         illogic-al openmaintainer
Index: /trunk/dports/kde/amarok/Portfile
===================================================================
--- /trunk/dports/kde/amarok/Portfile	(revision 97893)
+++ /trunk/dports/kde/amarok/Portfile	(revision 97894)
@@ -8,5 +8,5 @@
 conflicts           amarok-devel
 version             2.4.3
-revision            2
+revision            3
 categories          kde kde4
 maintainers         illogic-al openmaintainer
Index: /trunk/dports/kde/kdemultimedia4/Portfile
===================================================================
--- /trunk/dports/kde/kdemultimedia4/Portfile	(revision 97893)
+++ /trunk/dports/kde/kdemultimedia4/Portfile	(revision 97894)
@@ -8,5 +8,5 @@
 conflicts           kdelibs4-experimental
 version             4.8.3
-revision            1
+revision            2
 categories          kde kde4
 maintainers         sharky
Index: /trunk/dports/kde/ktorrent4/Portfile
===================================================================
--- /trunk/dports/kde/ktorrent4/Portfile	(revision 97893)
+++ /trunk/dports/kde/ktorrent4/Portfile	(revision 97894)
@@ -9,5 +9,5 @@
 # ktorrent4 and libktorrent usually need to be updated together
 version             4.2.0
-revision            1
+revision            2
 categories          kde kde4
 maintainers         nomaintainer
Index: /trunk/dports/kde/tellico/Portfile
===================================================================
--- /trunk/dports/kde/tellico/Portfile	(revision 97893)
+++ /trunk/dports/kde/tellico/Portfile	(revision 97894)
@@ -7,4 +7,5 @@
 name                tellico
 version             2.3.6
+revision            1
 categories          kde kde4
 platforms           darwin
Index: /trunk/dports/multimedia/VLC-devel/Portfile
===================================================================
--- /trunk/dports/multimedia/VLC-devel/Portfile	(revision 97893)
+++ /trunk/dports/multimedia/VLC-devel/Portfile	(revision 97894)
@@ -6,5 +6,5 @@
 name                VLC-devel
 version             2.0.99
-revision            2
+revision            3
 
 categories          multimedia
Index: /trunk/dports/multimedia/VLC/Portfile
===================================================================
--- /trunk/dports/multimedia/VLC/Portfile	(revision 97893)
+++ /trunk/dports/multimedia/VLC/Portfile	(revision 97894)
@@ -6,4 +6,5 @@
 name                VLC
 version             2.0.4
+revision            1
 
 categories          multimedia
Index: /trunk/dports/multimedia/VLC09/Portfile
===================================================================
--- /trunk/dports/multimedia/VLC09/Portfile	(revision 97893)
+++ /trunk/dports/multimedia/VLC09/Portfile	(revision 97894)
@@ -6,5 +6,5 @@
 name                VLC09
 version             0.9.10
-revision            12
+revision            13
 
 categories          multimedia
Index: /trunk/dports/multimedia/libgpod/Portfile
===================================================================
--- /trunk/dports/multimedia/libgpod/Portfile	(revision 97893)
+++ /trunk/dports/multimedia/libgpod/Portfile	(revision 97894)
@@ -7,5 +7,5 @@
 version             0.8.0
 set branch          [join [lrange [split ${version} .] 0 1] .]
-revision            10
+revision            11
 categories          multimedia
 platforms           darwin
Index: /trunk/dports/net/mediatomb/Portfile
===================================================================
--- /trunk/dports/net/mediatomb/Portfile	(revision 97893)
+++ /trunk/dports/net/mediatomb/Portfile	(revision 97894)
@@ -7,5 +7,5 @@
 name                mediatomb
 version             0.12.1
-revision            4
+revision            5
 categories          net multimedia
 platforms           darwin