Index: /trunk/dports/net/xymon-client/Portfile
===================================================================
--- /trunk/dports/net/xymon-client/Portfile	(revision 97924)
+++ /trunk/dports/net/xymon-client/Portfile	(revision 97924)
@@ -0,0 +1,138 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+
+name                    xymon-client
+set shortname           xymon
+conflicts               xymon-server
+version                 4.3.10
+categories              net
+platforms               darwin
+license                 GPL-2
+maintainers             free.fr:fclaire
+
+description             Xymon network monitor Client
+
+long_description        Xymon is a system for monitoring of hosts and networks, \
+                        inspired by the Big Brother system. It provides real-time \
+                        monitoring, an easy web-interface, historical data, \
+                        availability reports and performance graphs. \
+                        Xymon was previously known as \"Hobbit\".
+
+homepage                http://www.xymon.com/
+master_sites            sourceforge:project/xymon/Xymon/${version}
+distname                ${shortname}-${version}
+dist_subdir             ${shortname}
+
+checksums               sha1    d37765da5741adc4282e081e3ad59862eb22353f \
+                        rmd160  df5e01ab4528bc1146cdf784bbf69616f743bfa1
+
+depends_lib             port:rrdtool \
+                        port:fping \
+                        port:pcre \
+                        port:libpng \
+                        port:openssl \
+                        port:openldap
+
+universal_variant       no
+
+patchfiles              patch-build-Makefile.Darwin.diff
+
+if {"darwin" == ${os.platform} && ${os.major} > 8} {
+    set xymonuser       _xymon
+} else {
+    set xymonuser       xymon
+}
+set xymongroup          ${xymonuser}
+set xytopdir            ${prefix}/lib/${shortname}
+set xyetcdir            ${xytopdir}/client/etc
+set xylogdir            ${xytopdir}/client/logs
+set xytmpdir            ${xytopdir}/client/tmp
+set xyvardir            ${xytopdir}/data
+set xywebdir            ${xytopdir}/web
+set xywwwdir            ${xytopdir}/www
+
+configure.cmd           ./configure.client
+configure.args-append   --rrdinclude ${prefix}/include \
+                        --rrdlib ${prefix}/lib \
+                        --pcreinclude ${prefix}/include \
+                        --pcrelib ${prefix}/lib \
+                        --sslinclude ${prefix}/include \
+                        --ssllib ${prefix}/lib \
+                        --ldapinclude ${prefix}/include \
+                        --ldaplib ${prefix}/lib \
+                        --fping ${prefix}/sbin/fping
+configure.env-append    ENABLESSL=y \
+                        XYMONUSER=${xymonuser} \
+                        XYMONTOPDIR=${xytopdir} \
+                        XYMONHOSTIP=127.0.0.1 \
+                        XYMONHOSTOS=${os.platform} \
+                        MANROOT=${prefix}/share/man \
+                        INSTALLBINDIR=${xytopdir}/client/bin \
+                        INSTALLETCDIR=${xyetcdir} \
+                        INSTALLEXTDIR=${xytopdir}/client/ext \
+                        INSTALLTMPDIR=${xytmpdir} \
+                        INSTALLWEBDIR=${xywebdir} \
+                        INSTALLWWWDIR=${xywwwdir} \
+                        XYMONVAR=${xyvardir} \
+                        CC=${configure.cc} \
+                        CXX=${configure.cxx} \
+                        CPP=${configure.cpp}
+
+build.args-append       CC=${configure.cc} \
+                        CXX=${configure.cxx} \
+                        CPP=${configure.cpp}
+
+destroot.env-append     INSTALLROOT=${destroot}
+destroot.keepdirs       ${destroot}${xytopdir} \
+                        ${destroot}${xylogdir} \
+                        ${destroot}${xytmpdir} \
+                        ${destroot}${xyvardir}/logs \
+                        ${destroot}${xyvardir} \
+                        ${destroot}${xywebdir}
+
+startupitem.create      yes
+startupitem.start       "sudo su ${xymonuser} -c \"${xytopdir}/client/runclient.sh start\""
+startupitem.stop        "sudo su ${xymonuser} -c \"${xytopdir}/client/runclient.sh stop\""
+startupitem.restart     "sudo su ${xymonuser} -c \"${xytopdir}/client/runclient.sh restart\""
+#startupitem.pidfile     auto ${xylogdir}/clientlaunch.*.pid
+startupitem.pidfile     none
+
+add_users ${xymonuser} group=${xymongroup} realname=Xymon\ User home=${xytopdir} shell=/bin/bash
+
+post-destroot {
+    xinstall -d -o ${xymonuser} -g ${xymongroup} ${destroot}${xylogdir}
+    xinstall -d -o ${xymonuser} -g ${xymongroup} ${destroot}${xytmpdir}
+    # Adding a suffix to config files
+    foreach f { clientlaunch.cfg localclient.cfg xymonclient.cfg } {
+        move ${destroot}${xyetcdir}/${f} ${destroot}${xyetcdir}/${f}.${version}
+    }
+}
+
+post-activate {
+    # If not already present we put default config files
+    foreach f { clientlaunch.cfg localclient.cfg xymonclient.cfg } {
+        if {![file exists ${xyetcdir}/${f}]} {
+            file copy ${xyetcdir}/${f}.${version} ${xyetcdir}/${f}
+        }
+    }
+}
+
+notes "\nSet your Xymon server's IP address with the following command:
+    $ sudo vi ${xyetcdir}/xymonclient.cfg
+
+If you wish your xymon client to report logfiles to your xymon server
+you need to add the user ${xymonuser} to the admin group like this:
+    $ sudo dscl . -append /Groups/admin GroupMembership ${xymonuser}
+
+You can start,stop and restart the xymon client with:
+    $ sudo -u ${xymonuser} ${xytopdir}/client/runclient.sh \[start|stop|restart\]
+"
+
+use_parallel_build  no
+
+livecheck.type      regex
+livecheck.url       http://sourceforge.net/projects/${shortname}/files/
+livecheck.regex     ${shortname}-(\[0-9.\]+)\\.tar.gz
+
Index: /trunk/dports/net/xymon-client/files/patch-build-Makefile.Darwin.diff
===================================================================
--- /trunk/dports/net/xymon-client/files/patch-build-Makefile.Darwin.diff	(revision 97924)
+++ /trunk/dports/net/xymon-client/files/patch-build-Makefile.Darwin.diff	(revision 97924)
@@ -0,0 +1,11 @@
+--- build/Makefile.Darwin.orig	2012-09-13 10:32:39.000000000 +0200
++++ build/Makefile.Darwin	2012-09-13 10:32:50.000000000 +0200
+@@ -7,7 +7,7 @@
+ NETLIBS =
+ 
+ # Compile flags for normal build
+-CC = gcc
++#CC = gcc
+ GCCVER := $(shell gcc -dumpversion|cut -d. -f1)
+ ifeq ($(GCCVER),4)
+    CFLAGS = -g -O -Wall -Wno-unused -Wno-pointer-sign -D_REENTRANT -DBIND_8_COMPAT=1 $(LFSDEF) $(OSDEF)
Index: /trunk/dports/net/xymon/Portfile
===================================================================
--- /trunk/dports/net/xymon/Portfile	(revision 97923)
+++ /trunk/dports/net/xymon/Portfile	(revision 97924)
@@ -8,133 +8,17 @@
 epoch                   1
 version                 4.3.7
-revision                2
+revision                3
+
+replaced_by             xymon-client
+PortGroup               obsolete 1.0
+
 categories              net
 platforms               darwin
-license                 GPL-2
-maintainers             free.fr:fclaire
 
-description             Xymon network monitor Client
+description             Xymon network monitor Client (obsolete port)
 
 long_description        Xymon is a system for monitoring of hosts and networks, \
-                        inspired by the Big Brother system. It provides real-time \
-                        monitoring, an easy web-interface, historical data, \
-                        availability reports and performance graphs. \
-                        Xymon was previously known as \"Hobbit\".
+                        inspired by the Big Brother system. This port is a \
+                        stub and has been replaced by the ${replaced_by} port.
 
 homepage                http://www.xymon.com/
-master_sites            sourceforge:project/xymon/Xymon/${version}
-
-checksums               sha1    29339157a1a6155d134ed1ad9985391d43034ee8 \
-                        rmd160  9547eac47a5893f978cace54b5761e9cabe75941
-
-depends_lib             port:rrdtool \
-                        port:fping \
-                        port:pcre \
-                        port:libpng \
-                        port:openssl \
-                        port:openldap
-
-universal_variant       no
-
-patchfiles              patch-build-Makefile.rules.diff \
-                        patch-build-Makefile.Darwin.diff \
-                        patch-lib-Makefile.diff \
-                        patch-client-xymonclient-darwin.sh.diff
-
-if {"darwin" == ${os.platform} && ${os.major} > 8} {
-    set xymonuser       _xymon
-} else {
-    set xymonuser       xymon
-}
-set xymongroup          ${xymonuser}
-set xytopdir            ${prefix}/lib/${name}
-set xyetcdir            ${xytopdir}/client/etc
-set xylogdir            ${xytopdir}/client/logs
-set xytmpdir            ${xytopdir}/client/tmp
-set xyvardir            ${xytopdir}/data
-set xywebdir            ${xytopdir}/web
-set xywwwdir            ${xytopdir}/www
-
-configure.cmd           ./configure.client
-configure.args-append   --rrdinclude ${prefix}/include \
-                        --rrdlib ${prefix}/lib \
-                        --pcreinclude ${prefix}/include \
-                        --pcrelib ${prefix}/lib \
-                        --sslinclude ${prefix}/include \
-                        --ssllib ${prefix}/lib \
-                        --ldapinclude ${prefix}/include \
-                        --ldaplib ${prefix}/lib \
-                        --fping ${prefix}/sbin/fping
-configure.env-append    ENABLESSL=y \
-                        XYMONUSER=${xymonuser} \
-                        XYMONTOPDIR=${xytopdir} \
-                        XYMONHOSTIP=127.0.0.1 \
-                        XYMONHOSTOS=${os.platform} \
-                        MANROOT=${prefix}/share/man \
-                        INSTALLBINDIR=${xytopdir}/client/bin \
-                        INSTALLETCDIR=${xyetcdir} \
-                        INSTALLEXTDIR=${xytopdir}/client/ext \
-                        INSTALLTMPDIR=${xytmpdir} \
-                        INSTALLWEBDIR=${xywebdir} \
-                        INSTALLWWWDIR=${xywwwdir} \
-                        XYMONVAR=${xyvardir} \
-                        CC=${configure.cc} \
-                        CXX=${configure.cxx} \
-                        CPP=${configure.cpp}
-
-build.args-append       CC=${configure.cc} \
-                        CXX=${configure.cxx} \
-                        CPP=${configure.cpp}
-
-destroot.env-append     INSTALLROOT=${destroot}
-destroot.keepdirs       ${destroot}${xytopdir} \
-                        ${destroot}${xylogdir} \
-                        ${destroot}${xytmpdir} \
-                        ${destroot}${xyvardir}/logs \
-                        ${destroot}${xyvardir} \
-                        ${destroot}${xywebdir}
-
-startupitem.create      yes
-startupitem.start       "sudo su ${xymonuser} -c \"${xytopdir}/client/runclient.sh start\""
-startupitem.stop        "sudo su ${xymonuser} -c \"${xytopdir}/client/runclient.sh stop\""
-startupitem.restart     "sudo su ${xymonuser} -c \"${xytopdir}/client/runclient.sh restart\""
-#startupitem.pidfile     auto ${xylogdir}/clientlaunch.*.pid
-startupitem.pidfile     none
-
-add_users ${xymonuser} group=${xymongroup} realname=Xymon\ User home=${xytopdir} shell=/bin/bash
-
-post-destroot {
-    xinstall -d -o ${xymonuser} -g ${xymongroup} ${destroot}${xylogdir}
-    xinstall -d -o ${xymonuser} -g ${xymongroup} ${destroot}${xytmpdir}
-    # Adding a suffix to config files
-    foreach f { clientlaunch.cfg localclient.cfg xymonclient.cfg } {
-        move ${destroot}${xyetcdir}/${f} ${destroot}${xyetcdir}/${f}.${version}
-    }
-}
-
-post-activate {
-    # If not already present we put default config files
-    foreach f { clientlaunch.cfg localclient.cfg xymonclient.cfg } {
-        if {![file exists ${xyetcdir}/${f}]} {
-            file copy ${xyetcdir}/${f}.${version} ${xyetcdir}/${f}
-        }
-    }
-}
-
-notes "\nSet your Xymon server's IP address with the following command:
-    $ sudo vi ${xyetcdir}/xymonclient.cfg
-
-If you wish your xymon client to report logfiles to your xymon server
-you need to add the user ${xymonuser} to the admin group like this:
-    $ sudo dscl . -append /Groups/admin GroupMembership ${xymonuser}
-
-You can start,stop and restart the xymon client with:
-    $ sudo -u ${xymonuser} ${xytopdir}/client/runclient.sh \[start|stop|restart\]
-"
-
-use_parallel_build  no
-
-livecheck.type      regex
-livecheck.url       http://sourceforge.net/projects/${name}/files/
-livecheck.regex     ${name}-(\[0-9.\]+)\\.tar.gz
-