Index: /trunk/dports/devel/mercurial/Portfile
===================================================================
--- /trunk/dports/devel/mercurial/Portfile	(revision 97936)
+++ /trunk/dports/devel/mercurial/Portfile	(revision 97937)
@@ -6,6 +6,6 @@
 
 name                mercurial
-version             2.3
-revision            1
+version             2.3.1
+revision            0
 categories          devel python
 license             GPL-2+
@@ -29,11 +29,9 @@
 platforms           darwin
 master_sites        http://mercurial.selenic.com/release/
-checksums           rmd160  25292dd34f7f2e670c257424137e5733ff271084 \
-                    sha256  456cb8a9fb15606a04d81589a3459d258149170008ca64c62e5a6cbaf5f0fe5f
+checksums           rmd160  44d4102c405137f6a5c36ce48349bfb6af88bfed \
+                    sha256  ef587fdd3b062e08eb4012e7870f4d0a00fd834f11578bfba80313b10f808541
 depends_run         port:curl-ca-bundle
 
 patchfiles          patch-setup.py.diff \
-                    patch-hg.py.diff \
-                    patch-test-http.t.diff
 
 python.default_version 27
Index: unk/dports/devel/mercurial/files/patch-hg.py.diff
===================================================================
--- /trunk/dports/devel/mercurial/files/patch-hg.py.diff	(revision 97936)
+++ 	(revision )
@@ -1,11 +1,0 @@
---- mercurial/hg.py
-+++ mercurial/hg.py
-@@ -398,7 +398,7 @@
- 
-             if update:
-                 if update is not True:
--                    checkout = srcrepo.lookup(update)
-+                    checkout = srcpeer.lookup(update)
-                 for test in (checkout, 'default', 'tip'):
-                     if test is None:
-                         continue
Index: unk/dports/devel/mercurial/files/patch-test-http.t.diff
===================================================================
--- /trunk/dports/devel/mercurial/files/patch-test-http.t.diff	(revision 97936)
+++ 	(revision )
@@ -1,76 +1,0 @@
---- tests/test-http.t
-+++ tests/test-http.t
-@@ -77,6 +77,24 @@
-   adding bar
-   $ cd ..
- 
-+clone over http with --update
-+
-+  $ hg clone http://localhost:$HGPORT1/ updated --update 0
-+  requesting all changes
-+  adding changesets
-+  adding manifests
-+  adding file changes
-+  added 2 changesets with 5 changes to 5 files
-+  updating to branch default
-+  4 files updated, 0 files merged, 0 files removed, 0 files unresolved
-+  $ hg log -r . -R updated
-+  changeset:   0:8b6053c928fe
-+  user:        test
-+  date:        Thu Jan 01 00:00:00 1970 +0000
-+  summary:     1
-+  
-+  $ rm -rf updated
-+
- incoming via HTTP
- 
-   $ hg clone http://localhost:$HGPORT1/ --rev 0 partial
-@@ -129,7 +147,7 @@
-   >     if not auth:
-   >         raise common.ErrorResponse(common.HTTP_UNAUTHORIZED, 'who',
-   >                 [('WWW-Authenticate', 'Basic Realm="mercurial"')])
--  >     if base64.b64decode(auth.split()[1]).split(':', 1) != ['user', 'pass']: 
-+  >     if base64.b64decode(auth.split()[1]).split(':', 1) != ['user', 'pass']:
-   >         raise common.ErrorResponse(common.HTTP_FORBIDDEN, 'no')
-   > def extsetup():
-   >     common.permhooks.insert(0, perform_authentication)
-@@ -138,24 +156,24 @@
-   >    --config server.preferuncompressed=True
-   $ cat pid >> $DAEMON_PIDS
- 
--  $ hg id http://localhost:$HGPORT2/  
-+  $ hg id http://localhost:$HGPORT2/
-   abort: http authorization required
-   [255]
--  $ hg id http://user@localhost:$HGPORT2/ 
-+  $ hg id http://user@localhost:$HGPORT2/
-   abort: http authorization required
-   [255]
-   $ hg id http://user:pass@localhost:$HGPORT2/
-   5fed3813f7f5
--  $ echo '[auth]' >> .hg/hgrc 
-+  $ echo '[auth]' >> .hg/hgrc
-   $ echo 'l.schemes=http' >> .hg/hgrc
-   $ echo 'l.prefix=lo' >> .hg/hgrc
-   $ echo 'l.username=user' >> .hg/hgrc
-   $ echo 'l.password=pass' >> .hg/hgrc
--  $ hg id http://localhost:$HGPORT2/ 
-+  $ hg id http://localhost:$HGPORT2/
-   5fed3813f7f5
--  $ hg id http://localhost:$HGPORT2/  
-+  $ hg id http://localhost:$HGPORT2/
-   5fed3813f7f5
--  $ hg id http://user@localhost:$HGPORT2/ 
-+  $ hg id http://user@localhost:$HGPORT2/
-   5fed3813f7f5
-   $ hg clone http://user:pass@localhost:$HGPORT2/ dest 2>&1
-   streaming all changes
-@@ -164,7 +182,7 @@
-   updating to branch default
-   5 files updated, 0 files merged, 0 files removed, 0 files unresolved
- 
--  $ hg id http://user2@localhost:$HGPORT2/ 
-+  $ hg id http://user2@localhost:$HGPORT2/
-   abort: http authorization required
-   [255]
-   $ hg id http://user:pass2@localhost:$HGPORT2/