Index: /trunk/dports/python/py-pyqt4/Portfile
===================================================================
--- /trunk/dports/python/py-pyqt4/Portfile	(revision 97951)
+++ /trunk/dports/python/py-pyqt4/Portfile	(revision 97952)
@@ -7,6 +7,5 @@
 
 name		py-pyqt4
-version		4.9.1
-revision    1
+version		4.9.4
 python.versions   24 25 26 27 31 32
 categories	python devel
@@ -26,7 +25,6 @@
 dist_subdir         python
 
-checksums           md5     3b9112a49a3484032f29ea7fe65c31e5 \
-                    sha1    6c0dbf0edb9a0f07fb3ed95f6c3b4b5d0458dbe7 \
-                    rmd160  feb4c3abdb75a32e566f426c85d686da92a0952a
+checksums           sha1    3fe827fed91ec710746fa980f433313dfec2d5fd \
+                    rmd160  5ef976c234bd15f2c11d04b3b742db79f9a9f00a
 
 if {$subport != $name} {
Index: /trunk/dports/python/py-pyqt4/files/patch-configure.py
===================================================================
--- /trunk/dports/python/py-pyqt4/files/patch-configure.py	(revision 97951)
+++ /trunk/dports/python/py-pyqt4/files/patch-configure.py	(revision 97952)
@@ -1,4 +1,4 @@
---- configure.py.orig	2012-02-10 05:45:41.000000000 -0500
-+++ configure.py	2012-08-16 15:34:24.000000000 -0400
+--- configure.py.orig	2012-09-18 10:30:46.000000000 -0400
++++ configure.py	2012-09-18 10:31:58.000000000 -0400
 @@ -44,6 +44,7 @@
  qt_dir = None
@@ -9,19 +9,28 @@
  qt_datadir = None
  qt_pluginsdir = None
-@@ -966,7 +967,7 @@
-                 if sys.platform == "darwin":
-                     # We need to work out how to specify the right framework
-                     # version.
--                    link = "-framework Python"
+@@ -980,16 +981,9 @@
+                     dynamic_pylib = "--enable-shared" in config_args
+ 
+                 if dynamic_pylib:
+-                    if glob.glob("%s/lib/libpython%d.%d*" % (ducfg["exec_prefix"], py_major, py_minor)):
+-                        lib_dir_flag = quote("-L%s/lib" % ducfg["exec_prefix"])
+-                    elif glob.glob("%s/libpython%d.%d*" % (ducfg["LIBDIR"], py_major, py_minor)):
+-                        lib_dir_flag = quote("-L%s" % ducfg["LIBDIR"])
+-                    else:
+-                        sipconfig.inform("Qt Designer plugin disabled because Python library couldn't be found")
+-                        lib_dir_flag = ''
+-                        opts.designer_plugin = False
+ 
+-                    link = "%s -lpython%d.%d%s" % (lib_dir_flag, py_major, py_minor, abi)
 +                    link = "%s @@MACPORTS_PYTHON_FRAMEWORK@@" % sipcfg.build_macros().get('LFLAGS', '')
-                 elif "--enable-shared" in ducfg.get("CONFIG_ARGS", ""):
-                     if glob.glob("%s/lib/libpython%d.%d*" % (ducfg["exec_prefix"], py_major, py_minor)):
-                         lib_dir_flag = quote("-L%s/lib" % ducfg["exec_prefix"])
-@@ -1075,7 +1076,11 @@
++
+                 else:
+                     sipconfig.inform("Qt Designer plugin disabled because Python library is static")
+                     opts.designer_plugin = False
+@@ -1088,7 +1082,10 @@
  
      sipconfig.inform("SIP %s is being used." % sipcfg.sip_version_str)
      sipconfig.inform("The Qt header files are in %s." % qt_incdir)
 -    sipconfig.inform("The %s Qt libraries are in %s." % (lib_type, qt_libdir))
-+
 +    if sys.platform == "darwin" and qt_framework:
 +        sipconfig.inform("The %s Qt frameworks are in %s." % (lib_type, qt_frameworkdir))
@@ -31,5 +40,5 @@
      sipconfig.inform("The Qt mkspecs directory is in %s." % qt_datadir)
      sipconfig.inform("These PyQt modules will be built: %s." % ", ".join(pyqt_modules))
-@@ -1133,7 +1138,8 @@
+@@ -1146,7 +1143,8 @@
          "qt_dir":             qt_dir,
          "qt_data_dir":        qt_datadir,
@@ -41,5 +50,5 @@
  
      sipconfig.create_config_module(module, template, content, macros)
-@@ -1871,11 +1877,13 @@
+@@ -1894,12 +1892,14 @@
      names = list(sipcfg.build_macros().keys())
      names.append("INCDIR_QT")
@@ -51,9 +60,11 @@
          "QT_INSTALL_BINS":      qt_bindir,
          "QT_INSTALL_HEADERS":   qt_incdir,
-+        "QT_INSTALL_FRAMEWORKS": qt_frameworkdir,
-         "QT_INSTALL_LIBS":      qt_libdir
+-        "QT_INSTALL_LIBS":      qt_libdir
++        "QT_INSTALL_LIBS":      qt_libdir,
++        "QT_INSTALL_FRAMEWORKS": qt_frameworkdir
      }
  
-@@ -1902,7 +1910,7 @@
+     macros = sipconfig.parse_build_macros(fname, names, overrides, properties)
+@@ -1938,7 +1938,7 @@
  
      # Work out how Qt was built on MacOS.
@@ -64,5 +75,5 @@
              qt_framework = 1
  
-@@ -1919,6 +1927,7 @@
+@@ -1955,6 +1955,7 @@
      sipcfg.qt_threaded = 1
      sipcfg.qt_dir = qt_dir
@@ -72,5 +83,5 @@
      return ConfigurePyQt4(generator)
  
-@@ -1934,7 +1943,7 @@
+@@ -1970,7 +1971,7 @@
  
  
@@ -81,5 +92,5 @@
      """
      sipconfig.inform("Determining the layout of your Qt installation...")
-@@ -1999,6 +2008,7 @@
+@@ -2040,6 +2041,7 @@
      out << QLibraryInfo::location(QLibraryInfo::PrefixPath) << '\\n';
      out << QLibraryInfo::location(QLibraryInfo::HeadersPath) << '\\n';
@@ -89,5 +100,5 @@
      out << QLibraryInfo::location(QLibraryInfo::DataPath) << '\\n';
      out << QLibraryInfo::location(QLibraryInfo::PluginsPath) << '\\n';
-@@ -2117,20 +2127,21 @@
+@@ -2158,20 +2160,21 @@
      lines = f.read().strip().split("\n")
      f.close()