Index: /trunk/dports/math/octave-devel/Portfile
===================================================================
--- /trunk/dports/math/octave-devel/Portfile	(revision 97994)
+++ /trunk/dports/math/octave-devel/Portfile	(revision 97995)
@@ -5,6 +5,5 @@
 
 name                octave-devel
-version             3.6.2
-revision            1
+version             3.6.3
 conflicts           octave
 categories          math science
@@ -25,6 +24,6 @@
 use_bzip2           yes
 
-checksums           rmd160  1bf26b238d2bba461c5902d091088533c733439b \
-                    sha256  0bb69b93d0bee872308a7944f1ebbe948f55cd4ae55beab38f05950e1b45c4ae
+checksums           rmd160  1b0f75da1efc77cef0698a7affe56a477430cc1f \
+                    sha256  e37d09550f1cb406745619a5602aa3e8a97d2fe056b5c770db9984e2fc162886
 
 depends_build       port:bison \
@@ -70,6 +69,4 @@
                     --with-umfpack="-lumfpack -lSuiteSparse"
 
-#                    --without-framework-carbon
-
 # octave uses a number of other ports to create sources from template:
 # perl, gawk, gsed, flex, bison, texinfo.  Make sure these are the
@@ -84,7 +81,15 @@
                      SED="${prefix}/bin/gsed" \
                      TEXI2DVI="${prefix}/bin/texi2dvi" \
-                     TEXI2PDF="${prefix}/bin/texi2pdf"
+                     TEXI2PDF="${prefix}/bin/texi2pdf" \
+                     APPLE_CXX="/usr/bin/g++"
 configure.cppflags
 configure.ldflags
+
+pre-build {
+    reinplace "/'display\.cc'/s@\$(CXX)@\$(APPLE_CXX)@g" \
+        ${worksrcpath}/src/Makefile
+}
+
+build.env-append APPLE_CXX="/usr/bin/g++"
 
 test.run            yes
@@ -130,6 +135,6 @@
 variant accelerate description {use BLAS from Apple's Accelerate.framework} conflicts atlas {
     depends_lib-append      port:dotwrp
-    configure.args-append   --with-blas="-ldotwrp -framework Accelerate"
-    configure.args-append   --with-lapack="-framework Accelerate"
+    configure.args-append   --with-blas="-ldotwrp -Wl,-framework -Wl,Accelerate"
+    configure.args-append   --with-lapack="-Wl,-framework -Wl,Accelerate"
 }
 
@@ -182,4 +187,6 @@
 variant docs description {Enable creation and installation of documentation} {
     depends_run-append port:texlive-basic
+    # latex needed for lcircle10 font etc.
+    depends_build-append port:texlive-latex
     configure.args-replace s|--disable-docs|--enable-docs|
 }
Index: /trunk/dports/math/octave-devel/files/patch-configure.diff
===================================================================
--- /trunk/dports/math/octave-devel/files/patch-configure.diff	(revision 97994)
+++ /trunk/dports/math/octave-devel/files/patch-configure.diff	(revision 97995)
@@ -1,5 +1,16 @@
---- configure.orig	2011-06-25 10:04:48.000000000 +0200
-+++ configure	2011-06-25 10:05:19.000000000 +0200
-@@ -33171,6 +33171,21 @@
+--- configure.orig	2012-09-21 11:41:47.000000000 -0400
++++ configure	2012-09-21 11:42:36.000000000 -0400
+@@ -32450,8 +32450,8 @@
+     LDFLAGS="$LDFLAGS -framework Carbon"
+     ac_ext=cpp
+ ac_cpp='$CXXCPP $CPPFLAGS'
+-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
++ac_compile='$APPLE_CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
++ac_link='$APPLE_CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+ 
+     cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+@@ -37034,6 +37034,21 @@
  
    ## fltk (www.fltk.org)
@@ -23,5 +34,5 @@
  # Check whether --with-fltk-prefix was given.
  if test "${with_fltk_prefix+set}" = set; then :
-@@ -33247,6 +33262,7 @@
+@@ -37110,6 +37125,7 @@
  $as_echo "no" >&6; }
  fi
Index: /trunk/dports/math/octave-devel/files/patch-src-display.cc.diff
===================================================================
--- /trunk/dports/math/octave-devel/files/patch-src-display.cc.diff	(revision 97994)
+++ /trunk/dports/math/octave-devel/files/patch-src-display.cc.diff	(revision 97995)
@@ -1,5 +1,5 @@
---- src/display.cc.orig	2011-12-14 15:03:12.000000000 -0500
-+++ src/display.cc	2011-12-14 15:25:30.000000000 -0500
-@@ -39,6 +39,29 @@
+--- src/display.cc.orig	2012-09-21 11:29:13.000000000 -0400
++++ src/display.cc	2012-09-21 11:29:27.000000000 -0400
+@@ -41,6 +41,29 @@
  
  display_info *display_info::instance = 0;