Index: /trunk/dports/python/honcho_select/Portfile
===================================================================
--- /trunk/dports/python/honcho_select/Portfile	(revision 98031)
+++ /trunk/dports/python/honcho_select/Portfile	(revision 98031)
@@ -0,0 +1,32 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem          1.0
+PortGroup           select 1.0
+
+name                honcho_select
+version             0.1
+revision            0
+categories          python
+license             BSD
+maintainers         nomaintainer
+description         common files for selecting default honcho version
+long_description \
+   This port installs files that allow 'port select' to be used to \
+   create links to the preferred default version of honcho.
+
+platforms           darwin
+supported_archs     noarch
+
+homepage            http://www.macports.org/
+
+distfiles
+
+use_configure       no
+build               {}
+destroot {
+    select::install honcho ${filespath}/base
+    select::install honcho ${filespath}/none
+}
+
+livecheck.type      none
Index: /trunk/dports/python/honcho_select/files/base
===================================================================
--- /trunk/dports/python/honcho_select/files/base	(revision 98031)
+++ /trunk/dports/python/honcho_select/files/base	(revision 98031)
@@ -0,0 +1,1 @@
+bin/honcho
Index: /trunk/dports/python/honcho_select/files/none
===================================================================
--- /trunk/dports/python/honcho_select/files/none	(revision 98031)
+++ /trunk/dports/python/honcho_select/files/none	(revision 98031)
@@ -0,0 +1,1 @@
+-
Index: /trunk/dports/python/py-honcho/Portfile
===================================================================
--- /trunk/dports/python/py-honcho/Portfile	(revision 98031)
+++ /trunk/dports/python/py-honcho/Portfile	(revision 98031)
@@ -0,0 +1,36 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem          1.0
+PortGroup           python 1.0
+PortGroup           github 1.0
+PortGroup           select 1.0
+
+set realname        honcho
+
+github.setup        nickstenning ${realname} 0.1.0 v
+name                py-${realname}
+license             MIT
+platforms           darwin
+supported_archs     noarch
+
+maintainers         singingwolfboy openmaintainer
+
+description         Python clone of Foreman (managing Procfile-based applications)
+long_description    ${description}
+
+checksums           rmd160  a127079c8ab21bc88ac10189a912746813fd95c6 \
+                    sha256  9feb1536b33d9b334eed9b8d113ec979856149968655fc5d0079d85ae57d6cdd
+
+python.versions     26 27 31 32
+
+subport py26-${realname} {
+    depends_lib-append  port:py26-argparse
+}
+
+if {$subport != $name} {
+    depends_run             port:honcho_select
+
+    select.group            ${realname}
+    select.file             ${filespath}/${realname}${python.version}
+}
Index: /trunk/dports/python/py-honcho/files/honcho26
===================================================================
--- /trunk/dports/python/py-honcho/files/honcho26	(revision 98031)
+++ /trunk/dports/python/py-honcho/files/honcho26	(revision 98031)
@@ -0,0 +1,1 @@
+bin/honcho-2.6
Index: /trunk/dports/python/py-honcho/files/honcho27
===================================================================
--- /trunk/dports/python/py-honcho/files/honcho27	(revision 98031)
+++ /trunk/dports/python/py-honcho/files/honcho27	(revision 98031)
@@ -0,0 +1,1 @@
+bin/honcho-2.7
Index: /trunk/dports/python/py-honcho/files/honcho31
===================================================================
--- /trunk/dports/python/py-honcho/files/honcho31	(revision 98031)
+++ /trunk/dports/python/py-honcho/files/honcho31	(revision 98031)
@@ -0,0 +1,1 @@
+bin/honcho-3.1
Index: /trunk/dports/python/py-honcho/files/honcho32
===================================================================
--- /trunk/dports/python/py-honcho/files/honcho32	(revision 98031)
+++ /trunk/dports/python/py-honcho/files/honcho32	(revision 98031)
@@ -0,0 +1,1 @@
+bin/honcho-3.2