Index: /trunk/dports/lang/gcc42/Portfile
===================================================================
--- /trunk/dports/lang/gcc42/Portfile	(revision 98041)
+++ /trunk/dports/lang/gcc42/Portfile	(revision 98042)
@@ -6,5 +6,5 @@
 name			gcc42
 version			4.2.4
-revision		6
+revision		7
 platforms		darwin
 categories		lang
@@ -117,4 +117,16 @@
 		${destroot}${prefix}/share/info
 
+    if {[variant_isset universal]} {
+        foreach archdir [glob ${destroot}${prefix}/lib/${name}/*/] {
+            if {[file exists ${archdir}/libstdc++.6.dylib]} {
+                eval delete [glob ${archdir}/libstdc++*]
+
+		# This symlink is provided as a transition aide and will be removed
+		# with a future revision of this port.
+                ln -s ${prefix}/lib/libstdc++.6.dylib ${archdir}/libstdc++.6.dylib
+            }
+        }
+    }
+
     # http://trac.macports.org/ticket/35770
     eval delete [glob ${destroot}${prefix}/lib/${name}/libstdc++*]
Index: /trunk/dports/lang/gcc43/Portfile
===================================================================
--- /trunk/dports/lang/gcc43/Portfile	(revision 98041)
+++ /trunk/dports/lang/gcc43/Portfile	(revision 98042)
@@ -6,5 +6,5 @@
 name                gcc43
 version             4.3.6
-revision            6
+revision            7
 platforms           darwin
 categories          lang
@@ -137,4 +137,16 @@
     }
 
+    if {[variant_isset universal]} {
+        foreach archdir [glob ${destroot}${prefix}/lib/${name}/*/] {
+            if {[file exists ${archdir}/libstdc++.6.dylib]} {
+                eval delete [glob ${archdir}/libstdc++*]
+
+		# This symlink is provided as a transition aide and will be removed
+		# with a future revision of this port.
+                ln -s ${prefix}/lib/libstdc++.6.dylib ${archdir}/libstdc++.6.dylib
+            }
+        }
+    }
+
     # http://trac.macports.org/ticket/35770
     eval delete [glob ${destroot}${prefix}/lib/${name}/libstdc++*]
Index: /trunk/dports/lang/gcc44/Portfile
===================================================================
--- /trunk/dports/lang/gcc44/Portfile	(revision 98041)
+++ /trunk/dports/lang/gcc44/Portfile	(revision 98042)
@@ -7,5 +7,5 @@
 epoch               1
 version             4.4.7
-revision            5
+revision            6
 platforms           darwin
 categories          lang
@@ -142,4 +142,16 @@
                 ${destroot}${prefix}/share/python/classfile-44.py
 
+    if {[variant_isset universal]} {
+        foreach archdir [glob ${destroot}${prefix}/lib/${name}/*/] {
+            if {[file exists ${archdir}/libstdc++.6.dylib]} {
+                eval delete [glob ${archdir}/libstdc++*]
+
+		# This symlink is provided as a transition aide and will be removed
+		# with a future revision of this port.
+                ln -s ${prefix}/lib/libstdc++.6.dylib ${archdir}/libstdc++.6.dylib
+            }
+        }
+    }
+
     # http://trac.macports.org/ticket/35770
     eval delete [glob ${destroot}${prefix}/lib/${name}/libstdc++*]
Index: /trunk/dports/lang/gcc45/Portfile
===================================================================
--- /trunk/dports/lang/gcc45/Portfile	(revision 98041)
+++ /trunk/dports/lang/gcc45/Portfile	(revision 98042)
@@ -7,5 +7,5 @@
 epoch               1
 version             4.5.4
-revision            5
+revision            6
 platforms           darwin
 categories          lang
@@ -147,4 +147,16 @@
                 ${destroot}${prefix}/share/python/classfile-45.py
 
+    if {[variant_isset universal]} {
+        foreach archdir [glob ${destroot}${prefix}/lib/${name}/*/] {
+            if {[file exists ${archdir}/libstdc++.6.dylib]} {
+                eval delete [glob ${archdir}/libstdc++*]
+
+		# This symlink is provided as a transition aide and will be removed
+		# with a future revision of this port.
+                ln -s ${prefix}/lib/libstdc++.6.dylib ${archdir}/libstdc++.6.dylib
+            }
+        }
+    }
+
     # http://trac.macports.org/ticket/35770
     eval delete [glob ${destroot}${prefix}/lib/${name}/libstdc++*]
Index: /trunk/dports/lang/gcc46/Portfile
===================================================================
--- /trunk/dports/lang/gcc46/Portfile	(revision 98041)
+++ /trunk/dports/lang/gcc46/Portfile	(revision 98042)
@@ -7,5 +7,5 @@
 epoch               1
 version             4.6.3
-revision            7
+revision            8
 platforms           darwin
 categories          lang
@@ -126,4 +126,16 @@
     }
 
+    if {[variant_isset universal]} {
+        foreach archdir [glob ${destroot}${prefix}/lib/${name}/*/] {
+            if {[file exists ${archdir}/libstdc++.6.dylib]} {
+                eval delete [glob ${archdir}/libstdc++*]
+
+		# This symlink is provided as a transition aide and will be removed
+		# with a future revision of this port.
+                ln -s ${prefix}/lib/libstdc++.6.dylib ${archdir}/libstdc++.6.dylib
+            }
+        }
+    }
+
     # http://trac.macports.org/ticket/35770
     eval delete [glob ${destroot}${prefix}/lib/${name}/libstdc++*]
Index: /trunk/dports/lang/gcc47/Portfile
===================================================================
--- /trunk/dports/lang/gcc47/Portfile	(revision 98041)
+++ /trunk/dports/lang/gcc47/Portfile	(revision 98042)
@@ -10,5 +10,5 @@
 # When version is updated, please delete the separate revision for libstdcxx below (and delete this comment)
 version             4.7.1
-revision            6
+revision            7
 platforms           darwin
 categories          lang
@@ -182,4 +182,16 @@
     }
 
+    if {[variant_isset universal]} {
+        foreach archdir [glob ${destroot}${prefix}/lib/${name}/*/] {
+            if {[file exists ${archdir}/libstdc++.6.dylib]} {
+                eval delete [glob ${archdir}/libstdc++*]
+
+		# This symlink is provided as a transition aide and will be removed
+		# with a future revision of this port.
+                ln -s ${prefix}/lib/libstdc++.6.dylib ${archdir}/libstdc++.6.dylib
+            }
+        }
+    }
+
     # http://trac.macports.org/ticket/35770
     eval delete [glob ${destroot}${prefix}/lib/${name}/libstdc++*]
Index: /trunk/dports/lang/gcc48/Portfile
===================================================================
--- /trunk/dports/lang/gcc48/Portfile	(revision 98041)
+++ /trunk/dports/lang/gcc48/Portfile	(revision 98042)
@@ -7,7 +7,5 @@
 subport             libstdcxx-devel {}
 
-# When version is updated, please delete the separate revision for libstdcxx below (and delete this comment)
-version             4.8-20120909
-revision            4
+version             4.8-20120916
 platforms           darwin
 categories          lang
@@ -28,6 +26,6 @@
 distname            gcc-${version}
 
-checksums           rmd160  35cd54340b158c8fcccbf5f4be599f141d60f694 \
-                    sha256  7afd0b9143a541702f767d69610b5648e7e97fdd66b02ca910175e0bad2b31c0
+checksums           rmd160  65ed9cd112f42f04adb7fb44628bc04b9053bcf1 \
+                    sha256  0c70f697e3b97ca861d2f89c44431d32025cdeefe36dfbe29ff07042e886d3bf
 
 supported_archs     i386 x86_64
@@ -108,8 +106,4 @@
     conflicts       libstdcxx
     
-    # Revision subport separately from port for now in order to not force
-    # rebuilds of gcc while ironing out the wrinkles in libstdcxx
-    revision 101
-
     # We might want to consider adding this patch to the gcc subport as well
     # since it removes stuff that doesn't really make sense in the context of
@@ -163,4 +157,16 @@
     }
 
+    if {[variant_isset universal]} {
+        foreach archdir [glob ${destroot}${prefix}/lib/${name}/*/] {
+            if {[file exists ${archdir}/libstdc++.6.dylib]} {
+                eval delete [glob ${archdir}/libstdc++*]
+
+		# This symlink is provided as a transition aide and will be removed
+		# with a future revision of this port.
+                ln -s ${prefix}/lib/libstdc++.6.dylib ${archdir}/libstdc++.6.dylib
+            }
+        }
+    }
+
     # http://trac.macports.org/ticket/35770
     eval delete [glob ${destroot}${prefix}/lib/${name}/libstdc++*]