Index: /trunk/dports/devel/ace/Portfile
===================================================================
--- /trunk/dports/devel/ace/Portfile	(revision 98042)
+++ /trunk/dports/devel/ace/Portfile	(revision 98043)
@@ -7,4 +7,5 @@
 set name_package    ACE
 version             6.1.4
+revision            1
 distname            ${name_package}-${version}
 categories          devel
@@ -38,5 +39,7 @@
 patch.pre_args      -p1
 patchfiles          patch-ace-config.h.diff \
-                    patch-include-makeinclude-platform_macros.GNU.diff
+                    patch-ace-config-macosx-mountainlion.h.diff \
+                    patch-include-makeinclude-platform_macros.GNU.diff \
+                    patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff
 
 checksums           rmd160  e278ca751e64764636670022abec8db5ef83227c \
Index: /trunk/dports/devel/ace/files/patch-ace-config-macosx-mountainlion.h.diff
===================================================================
--- /trunk/dports/devel/ace/files/patch-ace-config-macosx-mountainlion.h.diff	(revision 98043)
+++ /trunk/dports/devel/ace/files/patch-ace-config-macosx-mountainlion.h.diff	(revision 98043)
@@ -0,0 +1,4 @@
+--- ACE_wrappers.orig/ace/config-macosx-mountainlion.h	1969-12-31 16:00:00.000000000 -0800
++++ ACE_wrappers/ace/config-macosx-mountainlion.h	2012-02-10 20:59:39.000000000 -0800
+@@ -0,0 +1,1 @@
++#include "ace/config-macosx-lion.h"
Index: /trunk/dports/devel/ace/files/patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff
===================================================================
--- /trunk/dports/devel/ace/files/patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff	(revision 98043)
+++ /trunk/dports/devel/ace/files/patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff	(revision 98043)
@@ -0,0 +1,4 @@
+--- ACE_wrappers.orig/include/makeinclude/platform_macosx_mountainlion.GNU	1969-12-31 16:00:00.000000000 -0800
++++ ACE_wrappers/include/makeinclude/platform_macosx_mountainlion.GNU	2012-02-10 22:47:24.000000000 -0800
+@@ -0,0 +1,1 @@
++include $(ACE_ROOT)/include/makeinclude/platform_macosx_lion.GNU
Index: /trunk/dports/devel/tao/Portfile
===================================================================
--- /trunk/dports/devel/tao/Portfile	(revision 98042)
+++ /trunk/dports/devel/tao/Portfile	(revision 98043)
@@ -14,4 +14,5 @@
 set name_package    ACE+TAO
 version             6.1.4
+revision            1
 distname            ${name_package}-${version}
 categories          devel
@@ -43,5 +44,7 @@
 patch.pre_args      -p1
 patchfiles          patch-ace-config.h.diff \
-                    patch-include-makeinclude-platform_macros.GNU.diff
+                    patch-ace-config-macosx-mountainlion.h.diff \
+                    patch-include-makeinclude-platform_macros.GNU.diff \
+                    patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff
 
 checksums           rmd160  d49ffd2ed2650bf510f0a8fd459b51fad4b8440a \
Index: /trunk/dports/devel/tao/files/patch-ace-config-macosx-mountainlion.h.diff
===================================================================
--- /trunk/dports/devel/tao/files/patch-ace-config-macosx-mountainlion.h.diff	(revision 98043)
+++ /trunk/dports/devel/tao/files/patch-ace-config-macosx-mountainlion.h.diff	(revision 98043)
@@ -0,0 +1,4 @@
+--- ACE_wrappers.orig/ace/config-macosx-mountainlion.h	1969-12-31 16:00:00.000000000 -0800
++++ ACE_wrappers/ace/config-macosx-mountainlion.h	2012-02-10 20:59:39.000000000 -0800
+@@ -0,0 +1,1 @@
++#include "ace/config-macosx-lion.h"
Index: /trunk/dports/devel/tao/files/patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff
===================================================================
--- /trunk/dports/devel/tao/files/patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff	(revision 98043)
+++ /trunk/dports/devel/tao/files/patch-include-makeinclude-platform_macosx_mountainlion.GNU.diff	(revision 98043)
@@ -0,0 +1,4 @@
+--- ACE_wrappers.orig/include/makeinclude/platform_macosx_mountainlion.GNU	1969-12-31 16:00:00.000000000 -0800
++++ ACE_wrappers/include/makeinclude/platform_macosx_mountainlion.GNU	2012-02-10 22:47:24.000000000 -0800
+@@ -0,0 +1,1 @@
++include $(ACE_ROOT)/include/makeinclude/platform_macosx_lion.GNU