Index: /trunk/dports/databases/mdbtools/Portfile
===================================================================
--- /trunk/dports/databases/mdbtools/Portfile	(revision 98115)
+++ /trunk/dports/databases/mdbtools/Portfile	(revision 98116)
@@ -1,38 +1,33 @@
 # $Id$
 PortSystem 1.0
-name                    mdbtools
-version                 0.6pre1
-revision                1
+PortGroup github 1.0
+
+github.setup            brianb mdbtools 0.7
+license                 GPL-2
 description             libraries and programs to help using MSAccess databases
 long_description        \
-MDB Tools is a suite of libraries and programs to facilitate the use of \
-Microsoft Access databases, also known as Jet databases after the Microsoft's \
-Jet Database Engine or as MDB databases after the .mdb extension used by the \
-file containing the database
+    MDB Tools is a suite of libraries and programs to facilitate the use of \
+    Microsoft Access databases, also known as Jet databases after the Microsoft's \
+    Jet Database Engine or as MDB databases after the .mdb extension used by the \
+    file containing the database
 
+platforms               darwin 
+categories              databases devel
 maintainers             and.damore openmaintainer
-categories              databases devel
-platforms               darwin 
-homepage                http://mdbtools.sourceforge.net
 
-depends_build           port:pkgconfig \
-                        port:flex \
-                        port:bison
-
+depends_build           port:flex \
+                        port:bison \
+                        port:pkgconfig
+                        
 depends_lib             path:lib/pkgconfig/glib-2.0.pc:glib2
 
-master_sites            sourceforge:mdbtools
-checksums               md5     246e8f38b2a1af1bcff60ee0da59300b \
-                        sha1    37a50d623a444ec690d2677b12b59c2f11e497c0 \
-                        rmd160  e6a89d6984ba84aa9895ab0b6e6b68ac86881be3
+checksums               rmd160  3dfa263f73eb65e3e2899810c10fa55f0bd5d804 \
+                        sha256  6d49c52ee578dc7209865873a5715ff2adc6cab214faae6b5c2b91ee058c5c6f
 
-post-extract {
-    # https://bugs.gentoo.org/227257?id=227257
-    delete ${worksrcpath}/acinclude.m4
-}
+patchfiles              patch-configure_in.diff \
+                        patch-src_sql_makefile_am.diff \
+                        patch-src_libmdb_makefile_am.diff
+                        
+use_autoreconf          yes
+configure.args-append   --mandir=${prefix}/share/man
 
-# fix universal variant and build_arch
-use_autoreconf          yes
-
-patchfiles              patch-mdbtools.diff
-configure.args-append   --mandir=${prefix}/share/man
Index: /trunk/dports/databases/mdbtools/files/patch-configure_in.diff
===================================================================
--- /trunk/dports/databases/mdbtools/files/patch-configure_in.diff	(revision 98116)
+++ /trunk/dports/databases/mdbtools/files/patch-configure_in.diff	(revision 98116)
@@ -0,0 +1,11 @@
+--- configure.in.orig	2012-09-24 16:12:41.000000000 -0400
++++ configure.in	2012-09-24 16:14:30.000000000 -0400
+@@ -61,7 +61,7 @@
+ AC_SUBST(SQL)
+ AC_SUBST(LFLAGS)
+ 
+-LDFLAGS="$LDFLAGS -Wl,--as-needed"
++LDFLAGS="$LDFLAGS -Wl,"
+ 
+ dnl check for iODBC
+ 
Index: unk/dports/databases/mdbtools/files/patch-mdbtools.diff
===================================================================
--- /trunk/dports/databases/mdbtools/files/patch-mdbtools.diff	(revision 98115)
+++ 	(revision )
@@ -1,12 +1,0 @@
-diff -ru ./src/libmdb/backend.c ../mdbtools-0.6pre1/src/libmdb/backend.c
---- ./src/libmdb/backend.c	2004-06-11 15:56:41.000000000 +0200
-+++ ../mdbtools-0.6pre1/src/libmdb/backend.c	2009-02-26 21:06:17.000000000 +0100
-@@ -28,7 +28,7 @@
- #endif
- 
- static int is_init;
--static GHashTable *mdb_backends;
-+GHashTable *mdb_backends;
- 
-    /*    Access data types */
- static MdbBackendType mdb_access_types[] = {
Index: /trunk/dports/databases/mdbtools/files/patch-src_libmdb_makefile_am.diff
===================================================================
--- /trunk/dports/databases/mdbtools/files/patch-src_libmdb_makefile_am.diff	(revision 98116)
+++ /trunk/dports/databases/mdbtools/files/patch-src_libmdb_makefile_am.diff	(revision 98116)
@@ -0,0 +1,9 @@
+--- src/libmdb/Makefile.am.orig	2012-09-24 16:13:08.000000000 -0400
++++ src/libmdb/Makefile.am	2012-09-24 16:14:57.000000000 -0400
+@@ -1,5 +1,5 @@
+ lib_LTLIBRARIES	=	libmdb.la
+ libmdb_la_SOURCES=	catalog.c mem.c file.c table.c data.c dump.c backend.c money.c sargs.c index.c like.c write.c stats.c map.c props.c worktable.c options.c iconv.c
+-libmdb_la_LDFLAGS = -version-info 2:0:0 -Wl,--version-script=$(srcdir)/libmdb.map
++libmdb_la_LDFLAGS = -version-info 2:0:0 -Wl
+ AM_CPPFLAGS	=	-I$(top_srcdir)/include $(GLIB_CFLAGS)
+ LIBS = $(GLIB_LIBS) @LIBS@
Index: /trunk/dports/databases/mdbtools/files/patch-src_sql_makefile_am.diff
===================================================================
--- /trunk/dports/databases/mdbtools/files/patch-src_sql_makefile_am.diff	(revision 98116)
+++ /trunk/dports/databases/mdbtools/files/patch-src_sql_makefile_am.diff	(revision 98116)
@@ -0,0 +1,10 @@
+--- src/sql/Makefile.am.orig	2012-09-24 16:13:29.000000000 -0400
++++ src/sql/Makefile.am	2012-09-24 16:15:05.000000000 -0400
+@@ -1,6 +1,6 @@
+ lib_LTLIBRARIES	=	libmdbsql.la
+ libmdbsql_la_SOURCES=	mdbsql.c parser.y lexer.l 
+-libmdbsql_la_LDFLAGS = -version-info 2:0:0 -Wl,--version-script=$(srcdir)/libmdbsql.map
++libmdbsql_la_LDFLAGS = -version-info 2:0:0 -Wl
+ DISTCLEANFILES = parser.c parser.h lexer.c
+ AM_CPPFLAGS	=	-I$(top_srcdir)/include $(GLIB_CFLAGS)
+ LIBS	=	$(GLIB_LIBS)