Index: /trunk/dports/devel/elftoolchain/Portfile
===================================================================
--- /trunk/dports/devel/elftoolchain/Portfile	(revision 98116)
+++ /trunk/dports/devel/elftoolchain/Portfile	(revision 98117)
@@ -4,5 +4,5 @@
 
 name            elftoolchain
-version         0.5.1
+version         0.6.1
 categories      devel
 platforms       darwin
@@ -19,6 +19,6 @@
 use_bzip2 yes
 
-checksums       rmd160  4be0adf8349c764474810e23cfb022c655002d77 \
-                sha256  b34351b26503ce7f106426d926a87e6c6adef81e324ec7052f3e09108ae7ab81
+checksums       rmd160  4268371905cb6e1741371cfb957bf8a7cb04ce18 \
+                sha256  a3e0c11ed9b0fe2f40b687b11849e7d52cb6675ebc60745c85d37a3ae4272cab
 
 depends_build   port:bsdmake \
@@ -29,5 +29,4 @@
 
 patchfiles      patch-mk.diff \
-                patch-disable-tests.diff \
                 patch-libelf-config.diff \
                 patch-common-elftc.diff \
@@ -71,8 +70,8 @@
 # Add elftc- prefix to all binaries to avoid conflicts
 post-destroot {
-    foreach f [glob ${destroot}${prefix}/bin/*] {
-        set nf [file dirname $f]/elftc-[file tail $f]
-        move $f $nf
-        ln -s $nf ${destroot}${prefix}/libexec/${name}/[file tail $f]
+    foreach f [glob -tails -directory ${destroot}${prefix}/bin *] {
+        set nf elftc-$f
+        move ${destroot}${prefix}/bin/$f ${destroot}${prefix}/bin/$nf
+        ln -s ${prefix}/bin/$nf ${destroot}${prefix}/libexec/${name}/$f
     }
     foreach f [glob ${destroot}${prefix}/share/man/man{1,5}/*] {
Index: /trunk/dports/devel/elftoolchain/files/patch-byteorder-macros.diff
===================================================================
--- /trunk/dports/devel/elftoolchain/files/patch-byteorder-macros.diff	(revision 98116)
+++ /trunk/dports/devel/elftoolchain/files/patch-byteorder-macros.diff	(revision 98117)
@@ -1,7 +1,21 @@
---- ar/write.c	2012-02-25 00:59:04.000000000 +0100
-+++ ar/write.c	2012-02-25 00:59:16.000000000 +0100
+--- ar/write.c	2012-04-24 04:33:40.000000000 +0200
++++ ar/write.c	2012-09-25 11:27:38.000000000 +0200
+@@ -43,6 +43,11 @@
+ 
+ ELFTC_VCSID("$Id: write.c 2496 2012-04-24 02:33:40Z jkoshy $");
+ 
++#ifdef __APPLE__
++#include <libkern/OSByteOrder.h>
++#define htobe32(x) OSSwapHostToBigInt32(x)
++#endif
++
+ #define _ARMAG_LEN 8		/* length of the magic string */
+ #define _ARHDR_LEN 60		/* length of the archive header */
+ #define _INIT_AS_CAP 128	/* initial archive string table size */
+--- elfcopy/archive.c	2012-02-25 01:00:13.000000000 +0100
++++ elfcopy/archive.c	2012-02-25 01:00:27.000000000 +0100
 @@ -42,6 +42,11 @@
  
- ELFTC_VCSID("$Id: write.c 2130 2011-11-10 06:56:46Z jkoshy $");
+ ELFTC_VCSID("$Id: archive.c 2370 2011-12-29 12:48:12Z jkoshy $");
  
 +#ifdef __APPLE__
@@ -13,16 +27,2 @@
  #define _ARHDR_LEN 60		/* length of ar header */
  #define _INIT_AS_CAP 128	/* initial archive string table size */
---- elfcopy/archive.c	2012-02-25 01:00:13.000000000 +0100
-+++ elfcopy/archive.c	2012-02-25 01:00:27.000000000 +0100
-@@ -43,6 +43,11 @@
- 
- ELFTC_VCSID("$Id: archive.c 2126 2011-11-10 05:07:18Z jkoshy $");
- 
-+#ifdef __APPLE__
-+#include <libkern/OSByteOrder.h>
-+#define htobe32(x) OSSwapHostToBigInt32(x)
-+#endif
-+
- #define _ARMAG_LEN 8		/* length of ar magic string */
- #define _ARHDR_LEN 60		/* length of ar header */
- #define _INIT_AS_CAP 128	/* initial archive string table size */
Index: /trunk/dports/devel/elftoolchain/files/patch-common-elftc.diff
===================================================================
--- /trunk/dports/devel/elftoolchain/files/patch-common-elftc.diff	(revision 98116)
+++ /trunk/dports/devel/elftoolchain/files/patch-common-elftc.diff	(revision 98117)
@@ -1,6 +1,6 @@
---- common/_elftc.h	2012-02-25 00:00:07.000000000 +0100
-+++ common/_elftc.h	2012-02-25 00:11:26.000000000 +0100
-@@ -89,6 +89,10 @@
- #define	ELFTC_VCSID(ID)		__RCSID(ID)
+--- common/_elftc.h	2012-04-23 07:31:56.000000000 +0200
++++ common/_elftc.h	2012-09-25 11:17:20.000000000 +0200
+@@ -244,6 +244,10 @@
+ #endif	/* __GNUC__ */
  #endif
  
@@ -12,16 +12,18 @@
  
  /*
-@@ -97,7 +101,7 @@
+@@ -252,8 +256,8 @@
  
  #ifndef	ELFTC_GETPROGNAME
  
--#if defined(__FreeBSD__) || defined(__NetBSD__)
-+#if defined(__FreeBSD__) || defined(__NetBSD__) || defined(__APPLE__)
+-#if defined(__DragonFly__) || defined(__FreeBSD__) || defined(__minix) || \
+-    defined(__NetBSD__)
++#if defined(__APPLE__) || defined(__DragonFly__) || defined(__FreeBSD__) || \
++    defined(__minix) || defined(__NetBSD__)
  
  #include <stdlib.h>
  
-@@ -173,4 +177,20 @@
- #define	ELFTC_BROKEN_YY_NO_INPUT		1
- #endif	/* __NetBSD __ */
+@@ -384,4 +388,20 @@
+ 
+ #endif	/* __OpenBSD__ */
  
 +
Index: unk/dports/devel/elftoolchain/files/patch-disable-tests.diff
===================================================================
--- /trunk/dports/devel/elftoolchain/files/patch-disable-tests.diff	(revision 98116)
+++ 	(revision )
@@ -1,14 +1,0 @@
---- Makefile	2012-02-25 01:59:07.000000000 +0100
-+++ Makefile	2012-02-25 01:59:29.000000000 +0100
-@@ -25,11 +25,6 @@
- SUBDIR += size
- SUBDIR += strings
- 
--# Build the test suites.
--.if exists(${.CURDIR}/test)
--SUBDIR += test
--.endif
--
- # Build documentation at the end.
- .if exists(${.CURDIR}/documentation)
- SUBDIR += documentation
Index: /trunk/dports/devel/elftoolchain/files/patch-libelf-config.diff
===================================================================
--- /trunk/dports/devel/elftoolchain/files/patch-libelf-config.diff	(revision 98116)
+++ /trunk/dports/devel/elftoolchain/files/patch-libelf-config.diff	(revision 98117)
@@ -1,6 +1,6 @@
---- libelf/_libelf_config.h	2011-10-23 11:07:00.000000000 +0200
-+++ libelf/_libelf_config.h	2012-02-24 23:54:10.000000000 +0100
-@@ -149,3 +149,26 @@
- #define	roundup2	roundup
+--- libelf/_libelf_config.h	2011-12-04 07:45:47.000000000 +0100
++++ libelf/_libelf_config.h	2012-09-25 11:01:26.000000000 +0200
+@@ -175,3 +175,26 @@
+ #endif
  
  #endif /* defined(__linux__) || defined(__GNU__) || defined(__GLIBC__) */
Index: /trunk/dports/devel/elftoolchain/files/patch-mk.diff
===================================================================
--- /trunk/dports/devel/elftoolchain/files/patch-mk.diff	(revision 98116)
+++ /trunk/dports/devel/elftoolchain/files/patch-mk.diff	(revision 98117)
@@ -1,38 +1,38 @@
---- mk/elftoolchain.inc.mk	2012-02-24 23:30:51.000000000 +0100
-+++ mk/elftoolchain.inc.mk	2012-02-24 23:32:03.000000000 +0100
-@@ -11,7 +11,7 @@
+--- mk/elftoolchain.inc.mk.orig	2012-09-25 14:56:23.000000000 +0200
++++ mk/elftoolchain.inc.mk	2012-09-25 14:57:39.000000000 +0200
+@@ -11,8 +11,8 @@
  
  .include <bsd.own.mk>
  
--.if ${OS_HOST} == "FreeBSD"
-+.if ${OS_HOST} == Darwin || ${OS_HOST} == FreeBSD
+-.if ${OS_HOST} == "DragonFly" || ${OS_HOST} == "FreeBSD" || \
+-	${OS_HOST} == "OpenBSD"
++.if ${OS_HOST} == "Darwin" || ${OS_HOST} == "DragonFly" || \
++	${OS_HOST} == "FreeBSD" || ${OS_HOST} == "OpenBSD"
  # Simulate <bsd.inc.mk>.
  .PHONY:		incinstall
  includes:	${INCS}	incinstall
---- mk/elftoolchain.subdir.mk	2012-02-25 01:46:53.000000000 +0100
-+++ mk/elftoolchain.subdir.mk	2012-02-25 01:47:40.000000000 +0100
-@@ -6,7 +6,7 @@
+@@ -23,6 +23,11 @@
+ 	cmp -s $> $@ > /dev/null 2>&1 || \
+ 		${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${NOBINMODE} $> $@
+ .endfor
++# Add rule for target install which is missing for common/Makefile
++.if ${OS_HOST} == "Darwin"
++.PHONY: 	install
++install:	incinstall
++.endif
+ .else
+ # Use the standard <bsd.inc.mk>.
+ .include <bsd.inc.mk>
+--- mk/elftoolchain.subdir.mk	2011-12-04 09:09:17.000000000 +0100
++++ mk/elftoolchain.subdir.mk	2012-09-25 10:57:24.000000000 +0200
+@@ -8,7 +8,7 @@
  
- .include "$(TOP)/mk/elftoolchain.os.mk"
- 
--.if ${OS_HOST} == FreeBSD
-+.if ${OS_HOST} == Darwin || ${OS_HOST} == FreeBSD
+ .if ${OS_HOST} == DragonFly
+ clobber test:: _SUBDIR
+-.elif ${OS_HOST} == FreeBSD
++.elif ${OS_HOST} == FreeBSD || ${OS_HOST} == Darwin
  SUBDIR_TARGETS+=	clobber test
- .else
- TARGETS+=	clobber test
---- common/Makefile	2012-02-25 02:09:41.000000000 +0100
-+++ common/Makefile	2012-02-25 02:09:58.000000000 +0100
-@@ -5,9 +5,9 @@
- INCS=	elfdefinitions.h
- INCSDIR?=	/usr/include
- 
--.PHONY:	all clean clobber depend obj
-+.PHONY:	all clean install clobber depend obj
- 
--all depend obj:
-+all install depend obj:
- 
- clean clobber:
- 	rm -f ${CLEANFILES}
+ .elif ${OS_HOST} == OpenBSD
+ clobber test:: _SUBDIRUSE
 --- mk/elftoolchain.prog.mk	2012-03-10 13:03:40.000000000 +0100
 +++ mk/elftoolchain.prog.mk	2012-03-10 13:04:46.000000000 +0100