Index: /trunk/dports/aqua/Platypus/Portfile
===================================================================
--- /trunk/dports/aqua/Platypus/Portfile	(revision 98129)
+++ /trunk/dports/aqua/Platypus/Portfile	(revision 98130)
@@ -5,8 +5,7 @@
 
 name			Platypus
-version			4.4
-revision		1
+version			4.7
 categories		aqua devel
-maintainers		me.com:tsupplis
+maintainers		me.com:tsupplis openmaintainer
 description		Program for creating application wrappers around scripts.
 
@@ -25,11 +24,10 @@
 use_zip			yes
 
-checksums           md5     e6fe23f7037a873394b70bcc62843940 \
-                    sha1    31faa5ea5e3e266a213aa3dd3c1fa1173e611110 \
-                    rmd160  0708e489de457d79cecb8192f1747459df8402c8
+checksums           md5     a2a24f6d4cd3da850bbfc54175e3332e \
+                    sha1    87b959b96df9221caacccba3e843558d6800ebec \
+                    rmd160  54dc72eb2af47523561d5140d0cbad842bcfd38c
 
-worksrcdir		"${name}-${version}-Source"
 
-supported_archs i386 ppc
+supported_archs i386 x86_64
 
 build.target platypus ScriptExec Platypus
@@ -40,7 +38,16 @@
 }
 
-patchfiles		project.pbxproj.patch
+set extracted_dir   "${name} ${version} Source Code"
+set target_dir      [string map {" " _} "$extracted_dir"]
+worksrcdir		    $target_dir
+
+post-extract {
+    file rename ${workpath}/${extracted_dir} ${workpath}/${target_dir}
+}
+
+
 post-patch {
-	reinplace "s|/usr/local|${prefix}|" ${worksrcpath}/CommandLineTool/platypus.1 ${worksrcpath}/CommonDefs.h
+	reinplace "s|/usr/local|${prefix}|" ${worksrcpath}/CommandLineTool/platypus.1 ${worksrcpath}/Common.h
+    reinplace "s|build/Platypus/Build/Products/Development|build/Deployment|" ${worksrcpath}/Platypus.xcodeproj/project.pbxproj
 }
 
@@ -53,5 +60,5 @@
 	}
 
-	exec /bin/bash ${worksrcpath}/Scripts/InstallCommandLineTool.sh ${destroot}${applications_dir}/Platypus.app/Contents/Resources
+    system -W ${worksrcpath}/Scripts "./InstallCommandLineTool.sh ${destroot}${applications_dir}/Platypus.app/Contents/Resources"
 }
 
Index: /trunk/dports/aqua/Platypus44/Portfile
===================================================================
--- /trunk/dports/aqua/Platypus44/Portfile	(revision 98130)
+++ /trunk/dports/aqua/Platypus44/Portfile	(revision 98130)
@@ -0,0 +1,62 @@
+# $Id$
+
+PortSystem		1.0
+PortGroup		xcode 1.0
+
+name			Platypus
+version			4.4
+revision		1
+categories		aqua devel
+maintainers		me.com:tsupplis openmaintainer
+description		Program for creating application wrappers around scripts - obsolete version supporting PowerPC (PPC)
+
+long_description	Platypus is a program for creating application \
+			wrappers around scripts, i.e. creating Mac OS X \
+			applications that execute a script they are bundled \
+			with. Scripts can thus be run transparently from the \
+			graphical window environment without having to \
+			resort to using the command line interface. It \
+			supports drag and drop on created apps, running as \
+			root using Authentication Manager and more. \
+			This ${version} version is the last one to support PPC.
+
+homepage		http://www.sveinbjorn.org/platypus/
+master_sites		http://www.sveinbjorn.org/files/software/platypus/
+distname		platypus${version}.src
+use_zip			yes
+
+checksums           md5     e6fe23f7037a873394b70bcc62843940 \
+                    sha1    31faa5ea5e3e266a213aa3dd3c1fa1173e611110 \
+                    rmd160  0708e489de457d79cecb8192f1747459df8402c8
+
+worksrcdir		"${name}-${version}-Source"
+
+supported_archs i386 ppc
+
+build.target platypus ScriptExec Platypus
+destroot.target Platypus
+
+if {"darwin" == ${os.platform} && ${os.major} >= 10} {
+    universal_variant   no
+}
+
+patchfiles		project.pbxproj.patch
+post-patch {
+	reinplace "s|/usr/local|${prefix}|" ${worksrcpath}/CommandLineTool/platypus.1 ${worksrcpath}/CommonDefs.h
+}
+
+post-destroot {
+	reinplace "s|/usr/local|${destroot}${prefix}|g" ${worksrcpath}/Scripts/InstallCommandLineTool.sh
+
+	# there is no English.lproj when building on Tiger and Leopard but there is one on SL
+	if {"darwin" == ${os.platform} && 10 > ${os.major}} {
+		reinplace "s|English.lproj/||g" ${worksrcpath}/Scripts/InstallCommandLineTool.sh
+	}
+
+	exec /bin/bash ${worksrcpath}/Scripts/InstallCommandLineTool.sh ${destroot}${applications_dir}/Platypus.app/Contents/Resources
+}
+
+livecheck.type	regex
+livecheck.url	${homepage}
+livecheck.regex	"${name} (\\d+(?:\\.\\d+)*)"
+
Index: /trunk/dports/aqua/Platypus44/files/project.pbxproj.patch
===================================================================
--- /trunk/dports/aqua/Platypus44/files/project.pbxproj.patch	(revision 98130)
+++ /trunk/dports/aqua/Platypus44/files/project.pbxproj.patch	(revision 98130)
@@ -0,0 +1,10 @@
+--- Platypus.xcodeproj/project.pbxproj.orig	2010-08-18 06:14:30.000000000 +1000
++++ Platypus.xcodeproj/project.pbxproj	2012-07-16 16:07:17.000000000 +1000
+@@ -1142,7 +1142,6 @@
+ 				GCC_CW_ASM_SYNTAX = NO;
+ 				GCC_ENABLE_CPP_EXCEPTIONS = NO;
+ 				GCC_ENABLE_CPP_RTTI = NO;
+-				GCC_ENABLE_OBJC_EXCEPTIONS = NO;
+ 				GCC_ENABLE_PASCAL_STRINGS = YES;
+ 				GCC_ENABLE_SSE3_EXTENSIONS = YES;
+ 				GCC_ENABLE_SUPPLEMENTAL_SSE3_INSTRUCTIONS = YES;